import {logColor, LogColor} from "../logger";

export let HookJavaLog = {

    testHookJavaLog: function () {
        Java.perform(function () {
            var Log = Java.use('android.util.Log');
            Log.e.overload('java.lang.String', 'java.lang.String').implementation = function (tag, msg) {
                logColor('Log.e:' + tag + msg, LogColor.RED_BG);
                return 0;
            };
            Log.w.overload('java.lang.String', 'java.lang.String').implementation = function (tag, msg) {
                logColor('Log.w:' + tag + msg, LogColor.YELLOW_BG);
                return 0;
            };
            Log.i.overload('java.lang.String', 'java.lang.String').implementation = function (tag, msg) {
                logColor('Log.i:' + tag + msg, LogColor.GREEN_BG);
                return 0;
            };
            Log.d.overload('java.lang.String', 'java.lang.String').implementation = function (tag, msg) {
                logColor('Log.d:' + tag + msg, LogColor.BLUE_BG);
                return 0;
            };
            Log.v.overload('java.lang.String', 'java.lang.String').implementation = function (tag, msg) {
                logColor('Log.v:' + tag + msg, LogColor.BRIGHT_BLACK_BG);
                return 0;
            };
        });
    }
}